For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
          • POSTEstimate Taxes
          • POSTVoid Tax Quote
          • POSTCommit Tax Quote
          • POSTAdjust Tax Quote
            • GETGet Connection Status
            • PUTUpdate Connection
            • DELDelete Connection
      • Webhooks
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsTax ProviderTax Provider Connection

Update Connection

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/tax/providers/:provider_id/connection
PUT
/stores/:store_hash/v3/tax/providers/:provider_id/connection
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/tax/providers/provider_id/connection \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "username": "MyTaxProviderAccount",
> "password": "h6eSgKLN72q7jYTW",
> "profile": "test-profile"
>}'
1{
2 "data": {
3 "username": "MyUpdatedTaxProviderAccount",
4 "configured": true
5 }
6}
Set authentication information associated with a merchant's account on the tax provider's infrastructure: - [HTTP Basic Authentication](https://developer.mozilla.org/en-US/docs/Web/HTTP/Authentication) (developer.mozilla.org) credentials - (optional) Tax provider profile used in customized endpoint urls for tax provider calls. This is only available for tax providers that support this feature. The configured `username`, `password`, and `profile` (if available) are used to authenticate each API request to the Tax Provider from the associated store. The tax provider's `profile` will be included in the URL for [Tax Provider API](/developer/api-reference/rest/integrations/tax-provider) endpoints. > #### Note > * This operation will be logged in [Store Logs](https://support.bigcommerce.com/s/article/Using-Store-Logs) under **Staff Actions**. > * Requires **write** permissions on the **Information and Settings** [scope](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
Was this page helpful?
Previous

Get Connection Status

Next

Delete Connection

Built with

Set authentication information associated with a merchant’s account on the tax provider’s infrastructure:

  • HTTP Basic Authentication (developer.mozilla.org) credentials
  • (optional) Tax provider profile used in customized endpoint urls for tax provider calls. This is only available for tax providers that support this feature.

The configured username, password, and profile (if available) are used to authenticate each API request to the Tax Provider from the associated store. The tax provider’s profile will be included in the URL for Tax Provider API endpoints.

Note

  • This operation will be logged in Store Logs under Staff Actions.
  • Requires write permissions on the Information and Settings scope.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

provider_idstringRequired

The Tax Providerʼs provider_id provided by BigCommerce after the provider shares their provider details.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

Basic authentication information, associated with a merchant account on the third-party tax providerʼs infrastructure.

usernamestringOptional

Public identifying information representing a unique account on the tax provider’s infrastructure. Should not contain any personal identifying information (e.g. a personal email address).

passwordstringOptional
profilestringOptional
Optional field that allows merchants to customize Tax Provider API endpoint URLs. Only available for supporting providers.

Response

OK
dataobject

Errors

404
Not Found Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.